# PhasicFlow: setFieldEntry Class Reference

setFieldEntry Class Reference
Collaboration diagram for setFieldEntry:
[legend]

## Public Member Functions

| setFieldEntry (const dataEntry &entry)
| setFieldEntry (const setFieldEntry &)=default
| setFieldEntry (setFieldEntry &&)=default
setFieldEntry & | operator= (const setFieldEntry &)=default
setFieldEntry & | operator= (setFieldEntry &&)=default
| ~setFieldEntry ()=default
word | fieldName () const
template<typename Type >
bool | checkForType () const
template<typename Type >
bool | checkForTypeAndValue () const
bool | checkForTypeAndValueAll () const
template<typename Type >
void * | setPointFieldDefaultValueNew (repository &owner, pointStructure &pStruct, bool verbose=false)
template<typename Type >
void * | setPointFieldDefaultValueStdNew (repository &owner, pointStructure &pStruct, bool verbose=false)
void * | setPointFieldDefaultValueNewAll (repository &owner, pointStructure &pStruct, bool verbose=false)
template<typename Type >
void * | setPointFieldSelected (repository &owner, int32IndexContainer &selected, bool verbose=false)
template<typename Type >
void * | setPointFieldSelectedStd (repository &owner, int32IndexContainer &selected, bool verbose=false)
void * | setPointFieldSelectedAll (repository &owner, int32IndexContainer &selected, bool verbose=false)

## Protected Attributes

twoPartEntry | entry_

## Detailed Description

Definition at line 33 of file setFieldEntry.hpp.

## Constructor & Destructor Documentation

## setFieldEntry() [1/3]

setFieldEntry | ( | const dataEntry & | entry | ) |

Definition at line 25 of file setFieldEntry.cpp.

## setFieldEntry() [2/3]

setFieldEntry | ( | const setFieldEntry & |  | ) |

default

## setFieldEntry() [3/3]

setFieldEntry | ( | setFieldEntry && |  | ) |

default

## ~setFieldEntry()

~setFieldEntry | ( |  | ) |

default

## Member Function Documentation

## operator=() [1/2]

setFieldEntry& operator= | ( | const setFieldEntry & |  | ) |

default

## operator=() [2/2]

setFieldEntry& operator= | ( | setFieldEntry && |  | ) |

default

## fieldName()

pFlow::word fieldName | ( |  | ) | const

Definition at line 32 of file setFieldEntry.cpp.

References setFieldEntry::entry_, and twoPartEntry::keyword().

Here is the call graph for this function:

## checkForType()

bool checkForType

Definition at line 23 of file setFieldEntryTemplates.cpp.

References setFieldEntry::entry_, and twoPartEntry::firstPart().

Here is the call graph for this function:

## checkForTypeAndValue()

bool checkForTypeAndValue

Definition at line 30 of file setFieldEntryTemplates.cpp.

References CONSUME_PARAM.

## checkForTypeAndValueAll()

bool checkForTypeAndValueAll | ( |  | ) | const

Definition at line 37 of file setFieldEntry.cpp.

References pFlow::endl(), and fatalErrorInFunction.

Here is the call graph for this function:

## setPointFieldDefaultValueNew()

void * setPointFieldDefaultValueNew | ( | repository & | owner,
|  | pointStructure & | pStruct,
|  | bool | verbose = `false`
| ) |  |

Definition at line 41 of file setFieldEntryTemplates.cpp.

References cyanText, repository::emplaceObject(), endREPORT, greenText, repository::name(), pStruct, objectFile::READ_NEVER, REPORT, and objectFile::WRITE_ALWAYS.

Here is the call graph for this function:

## setPointFieldDefaultValueStdNew()

void * setPointFieldDefaultValueStdNew | ( | repository & | owner,
|  | pointStructure & | pStruct,
|  | bool | verbose = `false`
| ) |  |

Definition at line 76 of file setFieldEntryTemplates.cpp.

References cyanText, repository::emplaceObject(), endREPORT, greenText, repository::name(), pStruct, objectFile::READ_NEVER, REPORT, and objectFile::WRITE_ALWAYS.

Here is the call graph for this function:

## setPointFieldDefaultValueNewAll()

void * setPointFieldDefaultValueNewAll | ( | repository & | owner,
|  | pointStructure & | pStruct,
|  | bool | verbose = `false`
| ) |  |

Definition at line 61 of file setFieldEntry.cpp.

References pFlow::endl(), fatalErrorInFunction, and pStruct.

Here is the call graph for this function:

## setPointFieldSelected()

void * setPointFieldSelected | ( | repository & | owner,
|  | int32IndexContainer & | selected,
|  | bool | verbose = `false`
| ) |  |

Definition at line 111 of file setFieldEntryTemplates.cpp.

References cyanText, endREPORT, fatalErrorInFunction, greenText, repository::lookupObject(), repository::lookupObjectName(), repository::lookupObjectTypeName(), repository::name(), and REPORT.

Here is the call graph for this function:

## setPointFieldSelectedStd()

void * setPointFieldSelectedStd | ( | repository & | owner,
|  | int32IndexContainer & | selected,
|  | bool | verbose = `false`
| ) |  |

Definition at line 176 of file setFieldEntryTemplates.cpp.

References cyanText, endREPORT, fatalErrorInFunction, greenText, repository::lookupObject(), repository::lookupObjectName(), repository::lookupObjectTypeName(), repository::name(), and REPORT.

Here is the call graph for this function:

## setPointFieldSelectedAll()

void * setPointFieldSelectedAll | ( | repository & | owner,
|  | int32IndexContainer & | selected,
|  | bool | verbose = `false`
| ) |  |

Definition at line 104 of file setFieldEntry.cpp.

References pFlow::endl(), and fatalErrorInFunction.

Here is the call graph for this function:

## Member Data Documentation

## entry_

twoPartEntry entry_

protected

Definition at line 37 of file setFieldEntry.hpp.

Referenced by setFieldEntry::checkForType(), and setFieldEntry::fieldName().

The documentation for this class was generated from the following files:

- src/phasicFlow/setFieldList/setFieldEntry.hpp
- src/phasicFlow/setFieldList/setFieldEntry.cpp
- src/phasicFlow/setFieldList/setFieldEntryTemplates.cpp